# Runnable Class Reference

Encapsulates a runnable task. More...

`#include <yateclass.h>`

Inheritance diagram for Runnable:

List of all members.

## Public Member Functions

virtual void | run ()=0
virtual | ~Runnable ()

## Detailed Description

Encapsulates a runnable task.

This class holds the action to execute a certain task, usually in a different execution thread.

## Constructor & Destructor Documentation

virtual ~Runnable | ( |  | ) | `[virtual]`

Do-nothing destructor, placed here just to shut up GCC 4+

## Member Function Documentation

virtual void run | ( |  | ) | `[pure virtual]`

This method is called in another thread to do the actual job. When it returns the job or thread terminates.

Implemented in Router, and Client.

The documentation for this class was generated from the following file:

- yateclass.h